<!DOCTYPE html>
<html lang="de" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<
<head>
    <meta charset="UTF-8">
    <title>Beitrag und Kommentare lesen</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/public/img/favicon.ico}" sizes="32x32">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>our awesome blog</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.5/css/bulma.min.css">
    <link rel="stylesheet" href="/style.css"/>
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
</head>
<body>
<section class="section">
    <nav class="navbar dunkelgrün has-text-weight-semibold is-fixed-top is-spaced 2 "
         role="navigation"
         aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <a href="/beitraege"><span
                        class="has-text-weight-bold is-size-3 has-text-black">OurAwesomeBlog</span></a>
            </div>
            <div class="navbar-end">
                <a class="navbar-item" th:href="@{/login}" th:if="${sessionNutzer == null}">Login</a>

                <a class="navbar-item" th:href="@{/registrieren}" th:if="${sessionNutzer == null}">Registrieren</a>

                <form class="navbar-item" th:if="${sessionNutzer != null}" method="post" th:action="@{/logout}">
                    <button class="button dunkelgrün" type="submit">Logout</button>
                </form>

            </div>
        </div>
    </nav>
</section>
<section class="section is-paddingless">
    <div class="container is-paddingless">
        <div class="tile is-ancestor is-paddingless">
            <article class="tile is-parent is-12">
                <div class="tile is-child box rose bounce-in-top1 is-12">
                    <h1 class="post__title" th:text="${'Beitrag Titel: ' + beitrag.beitragTitel}"></h1>
                    <span th:text="${'Gepostet am: ' + beitrag.formattiertesDatum + ' von '}"></span>
                    <a th:href="@{/nutzer/{id}(id=${beitrag.nutzer.id})}">
                        <span th:text="${beitrag.nutzer.nutzername}"></span></a>
                    <div class="post__content" th:text="${'Beitrag Text: ' + beitrag.beitragText}"></div>
                    <br>
                    <br>
                    <div th:if="${sessionNutzer != null}">
                        <form style="float:right;" th:action="@{/beitrag/deletefull/{id}(id=${beitrag.id})}"
                              method="post"
                              th:if="${sessionNutzer.adminstatus}">
                            <button class="button dunkelgrün" type="submit">Beitrag und zugehörige Kommentare
                                löschen
                            </button>
                        </form>
                        <form style="float:left;" th:action="@{/beitrag/edit/{id}(id=${beitrag.id})}"
                              th:if="${sessionNutzer.adminstatus}">
                            <button class="button dunkelgrün" type="submit">Beitrag bearbeiten</button>
                        </form>
                    </div>
                </div>
            </article>
        </div>
    </div>
</section>
<hr>
<section class="section is-paddingless">
    <div class="container is-paddingless">
        <div class="subtitle is-4">Kommentare</div>
        <div class="tile is-ancestor">
            <section>
                <article class="tile is-parent is-12" th:each="k: ${kommentare}">
                    <div class="tile is-child box orange bounce-in-top2">
                        <div class="post__title">
                            <span th:text="${'Gepostet am: ' + k.formattiertesDatum + ' von '}"></span>
                            <a th:href="@{/nutzer/{id}(id=${k.nutzer.id})}">
                                <span th:text="${k.nutzer.nutzername}"></span></a>
                        </div>
                        <div class="post__content" th:text="${k.kommentarInhalt}"></div>
                        <div th:if="${sessionNutzer != null}">
                            <form th:action="@{/beitrag/delete/{kid}(kid=${k.id})}" method="post"
                                  th:if="${k.nutzer == sessionNutzer or sessionNutzer.adminstatus}">
                                <button class="button dunkelgrün" type="submit">Kommentar löschen</button>
                            </form>
                        </div>
                    </div>
                    <br>
                </article>
            </section>
        </div>
    </div>
</section>
<div th:if="${sessionNutzer != null}">
    <section class="section is-paddingless">
        <div class="container is-paddingless">
            <div class="tile is-ancestor is-paddingless">
                <section>
                    <article class="tile is-parent is-12">
                        <div class="tile is-child box dunkelgrün">
                            <p class="has-text-weight-semibold" has-text-weight-semibold>Kommentar schreiben:</p>
                            <form th:object="${kommentar}" th:action="@{/beitrag/{id}(id=${beitrag.id}) }"
                                  th:if="${sessionNutzer != null}"
                                  method="post">
                                <textarea name="kommentar" cols="90" rows="10" th:field="*{kommentarInhalt}"></textarea>
                                <p><input class="button dunkelgrün" type="submit"></p>
                            </form>
                        </div>
                        <br>
                    </article>
                </section>
            </div>
        </div>
    </section>
</div>
<footer class="footer has-text-centered ">
    <strong>OurAwesomeBlog</strong> by Jessica Gettkandt and Moritz Bechtold.
</footer>
</body>
</html>